<.form let={f} for={@changeset} action={@action}>
  <%= if @changeset.action do %>
    <div class="alert alert-danger">
      <p>Oops, something went wrong! Please check the errors below.</p>
    </div>
  <% end %>

  <%= label f, :name %> 
  <%= text_input f, :name %>
  <%= error_tag f, :name %> <br>

  <%= label f, :username %>
  <%= text_input f, :username %>
  <%= error_tag f, :username %><br>

  <%= label f, :email %>
  <%= text_input f, :email %>
  <%= error_tag f, :email %><br>

  <%= label f, :role %>
  <%= select f, :role, ["admin", "collaborator"] %>
  <%= error_tag f, :role %><br>

  <div>
    <%= submit "Save" %>
  </div>
</.form>
